Subject: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Carlos Pita <[email-masked]>
Date: Sun, 1 Jul 2018 14:23:24 -0300

Under Cinnamon it worked without flickering. There is just a minor
problem that could be pointing to a bug elsewhere in emacs. Cinnamon
implements a progression of tiles layouts, for instance starting from
a normal sized window (i) you press Super-Up and the window is tiled
to the top half of the screen, (ii) you then press Super-Up again and
the window is maximized, (iii) finally you press Super-Down and the
window returns to top half tile mode. In general only fully maximized
windows (ii) gets undecorated, as intended, but when transitioning
from fully maximized to top half tiled (ii->iii) emacs still sees the
maximized state in the fullscreen frame parameter and fails to
undecorate the window. Nevertheless the client state in (ii) is:

~:: xprop | grep _NET_WM_STATE
_NET_WM_STATE(ATOM) = _NET_WM_STATE_MAXIMIZED_VERT, _NET_WM_STATE_TILED

The problem seems to be in the reported frame parameters, not in
Jonathan's hook.